Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.validator
Class ValidatingXMLInputStream

    java.lang.Object
      org.apache.xmlbeans.impl.common.GenericXmlInputStream
          org.apache.xmlbeans.impl.validator.ValidatingXMLInputStream

All Implemented Interfaces:
  PrefixResolver, ValidatorListener.Event, XMLInputStream

Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.

    public final class ValidatingXMLInputStream

extends GenericXmlInputStream
implements ValidatorListener.Event

Field Summary

Fields inherited from interface org.apache.xmlbeans.impl.common.ValidatorListener.Event
`COLLAPSE, PRESERVE, REPLACE`

Constructor Summary
`ValidatingXMLInputStream(XMLInputStream xis, SchemaTypeLoader typeLoader, SchemaType sType, XmlOptions options)` Deprecated.

Method Summary
`javax.xml.stream.Location` | `getLocation()` Deprecated.
`XmlCursor` | `getLocationAsCursor()` Deprecated.
`javax.xml.namespace.QName` | `getName()` Deprecated.
`java.lang.String` | `getNamespaceForPrefix(java.lang.String prefix)` Deprecated. Caled when the user has a prefix and needs to look up the corresponding namespace URI.
`java.lang.String` | `getText()` Deprecated.
`java.lang.String` | `getText(int wsr)` Deprecated.
`java.lang.String` | `getXsiLoc()` Deprecated.
`java.lang.String` | `getXsiNil()` Deprecated.
`java.lang.String` | `getXsiNoLoc()` Deprecated.
`java.lang.String` | `getXsiType()` Deprecated.
`protected XMLEvent` | `nextEvent()` Deprecated.
`boolean` | `textIsWhitespace()` Deprecated.

Methods inherited from class org.apache.xmlbeans.impl.common.GenericXmlInputStream
`close, getReferenceResolver, getSubStream, hasNext, next, peek, setReferenceResolver, skip, skip, skip, skip, skipElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidatingXMLInputStream

    public ValidatingXMLInputStream(XMLInputStream xis,
                                    SchemaTypeLoader typeLoader,
                                    SchemaType sType,
                                    XmlOptions options)
                             throws XMLStreamException

  Deprecated.
  Throws:
    `XMLStreamException`

Method Detail

### nextEvent

    protected XMLEvent nextEvent()
                          throws XMLStreamException

  Deprecated.
  Overrides:
    `nextEvent` in class `GenericXmlInputStream`
  Throws:
    `XMLStreamException`

### getNamespaceForPrefix

    public java.lang.String getNamespaceForPrefix(java.lang.String prefix)

  Deprecated.
  Description copied from interface: `PrefixResolver`
  Caled when the user has a prefix and needs to look up the corresponding namespace URI. If the prefix is not defined in this context, then this method may return null. The no-namespace is represented by the empty string return result. If the prefix is null or "", then the default namespace is being requested. To conform with the XML spec, the default namespace will return the no-namespace ("") if it is not mapped.

  Specified by:
    `getNamespaceForPrefix` in interface `PrefixResolver`

### getLocationAsCursor

    public XmlCursor getLocationAsCursor()

  Deprecated.
  Specified by:
    `getLocationAsCursor` in interface `ValidatorListener.Event`

### getLocation

    public javax.xml.stream.Location getLocation()

  Deprecated.
  Specified by:
    `getLocation` in interface `ValidatorListener.Event`

### getXsiType

    public java.lang.String getXsiType()

  Deprecated.
  Specified by:
    `getXsiType` in interface `ValidatorListener.Event`

### getXsiNil

    public java.lang.String getXsiNil()

  Deprecated.
  Specified by:
    `getXsiNil` in interface `ValidatorListener.Event`

### getXsiLoc

    public java.lang.String getXsiLoc()

  Deprecated.
  Specified by:
    `getXsiLoc` in interface `ValidatorListener.Event`

### getXsiNoLoc

    public java.lang.String getXsiNoLoc()

  Deprecated.
  Specified by:
    `getXsiNoLoc` in interface `ValidatorListener.Event`

### getName

    public javax.xml.namespace.QName getName()

  Deprecated.
  Specified by:
    `getName` in interface `ValidatorListener.Event`

### getText

    public java.lang.String getText()

  Deprecated.
  Specified by:
    `getText` in interface `ValidatorListener.Event`

### getText

    public java.lang.String getText(int wsr)

  Deprecated.
  Specified by:
    `getText` in interface `ValidatorListener.Event`

### textIsWhitespace

    public boolean textIsWhitespace()

  Deprecated.
  Specified by:
    `textIsWhitespace` in interface `ValidatorListener.Event`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD